#!/bin/bash

# D - destdir
# P - package name

# ---===   ===---
cpResurses() {
	src=$1
	dst=$2

	pushd $src
	for i in $(ls); do
		if [ "${i: -4}" == ".fsh" ] || [ "${i: -4}" == ".vsh" ] || [ "${i: -4}" == ".pvr" ] || [ "${i: -4}" == ".pfx" ] || [ "${i: -4}" == ".pod" ] || [ "${i: -4}" == ".csh" ] || [ "${i: -4}" == ".txt" ] ; then
			cp -v $i $dst
		fi
	done
	popd
}

# ---===    ===---
cpSamples() {
	src=$1
	dst=$2

	pushd $src
	for i in $(find . -type f -executable); do
			cp -v $i $dst
	done
	popd

}


EX="/Examples"
STANDART_POSTFIX="/OGLES/Build/e2k/ReleaseX11"
STANDART_POSTFIX_ASSETS="/OGLES/Build/e2k/ReleaseX11/Assets"
TYPE_ADV="/Advanced"
TYPE_BEG="/Beginner"
TYPE_INT="/Intermediate"
DST="/opt/OpenGLES/PowerVR_demos/bin"

#   
mkdir -p "${D}${DST}"
mkdir -p "${D}${DST}/DeferredShading"
mkdir -p "${D}${DST}/ExampleUI"
mkdir -p "${D}${DST}/Glass"
mkdir -p "${D}${DST}/ParticleSystem"
mkdir -p "${D}${DST}/Skinning"
mkdir -p "${D}${DST}/03_IntroducingPVRAssets"
mkdir -p "${D}${DST}/04_IntroducingPVRApi"
mkdir -p "${D}${DST}/05_IntroUIRenderer"
mkdir -p "${D}${DST}/06_IntroducingPVRCamera"
mkdir -p "${D}${DST}/Bumpmap"
mkdir -p "${D}${DST}/PostProcessing"
mkdir -p "${D}${DST}/01_HelloAPI"
mkdir -p "${D}${DST}/02_IntroducingPVRShell"

#  
cpResurses "${S}${EX}${TYPE_ADV}/DeferredShading${STANDART_POSTFIX_ASSETS}" "${D}${DST}/DeferredShading"
cpResurses "${S}${EX}${TYPE_ADV}/ExampleUI${STANDART_POSTFIX_ASSETS}" "${D}${DST}/ExampleUI"
cpResurses "${S}${EX}${TYPE_ADV}/Glass${STANDART_POSTFIX_ASSETS}" "${D}${DST}/Glass"
cpResurses "${S}${EX}${TYPE_ADV}/ParticleSystem${STANDART_POSTFIX_ASSETS}" "${D}${DST}/ParticleSystem"
cpResurses "${S}${EX}${TYPE_ADV}/Skinning${STANDART_POSTFIX_ASSETS}" "${D}${DST}/Skinning"

cpResurses "${S}${EX}${TYPE_BEG}/03_IntroducingPVRAssets${STANDART_POSTFIX_ASSETS}" "${D}${DST}/03_IntroducingPVRAssets"
cpResurses "${S}${EX}${TYPE_BEG}/04_IntroducingPVRApi${STANDART_POSTFIX_ASSETS}" "${D}${DST}/04_IntroducingPVRApi"
cpResurses "${S}${EX}${TYPE_BEG}/05_IntroUIRenderer${STANDART_POSTFIX_ASSETS}" "${D}${DST}/05_IntroUIRenderer"
cpResurses "${S}${EX}${TYPE_BEG}/06_IntroducingPVRCamera${STANDART_POSTFIX_ASSETS}" "${D}${DST}/06_IntroducingPVRCamera"

cpResurses "${S}${EX}${TYPE_INT}/Bumpmap${STANDART_POSTFIX_ASSETS}" "${D}${DST}/Bumpmap"
cpResurses "${S}${EX}${TYPE_INT}/PostProcessing${STANDART_POSTFIX_ASSETS}" "${D}${DST}/PostProcessing"

#   
cpSamples "${S}${EX}${TYPE_ADV}/DeferredShading${STANDART_POSTFIX}" "${D}${DST}/DeferredShading"
cpSamples "${S}${EX}${TYPE_ADV}/ExampleUI${STANDART_POSTFIX}" "${D}${DST}/ExampleUI"
cpSamples "${S}${EX}${TYPE_ADV}/Glass${STANDART_POSTFIX}" "${D}${DST}/Glass"
cpSamples "${S}${EX}${TYPE_ADV}/ParticleSystem${STANDART_POSTFIX}" "${D}${DST}/ParticleSystem"
cpSamples "${S}${EX}${TYPE_ADV}/Skinning${STANDART_POSTFIX}" "${D}${DST}/Skinning"

cpSamples "${S}${EX}${TYPE_BEG}/01_HelloAPI/OGLES/ReleaseX11" "${D}${DST}/01_HelloAPI"
cpSamples "${S}${EX}${TYPE_BEG}/02_IntroducingPVRShell${STANDART_POSTFIX}" "${D}${DST}/02_IntroducingPVRShell"
cpSamples "${S}${EX}${TYPE_BEG}/03_IntroducingPVRAssets${STANDART_POSTFIX}" "${D}${DST}/03_IntroducingPVRAssets"
cpSamples "${S}${EX}${TYPE_BEG}/04_IntroducingPVRApi${STANDART_POSTFIX}" "${D}${DST}/04_IntroducingPVRApi"
cpSamples "${S}${EX}${TYPE_BEG}/05_IntroUIRenderer${STANDART_POSTFIX}" "${D}${DST}/05_IntroUIRenderer"
cpSamples "${S}${EX}${TYPE_BEG}/06_IntroducingPVRCamera${STANDART_POSTFIX}" "${D}${DST}/06_IntroducingPVRCamera"

cpSamples "${S}${EX}${TYPE_INT}/Bumpmap${STANDART_POSTFIX}" "${D}${DST}/Bumpmap"
cpSamples "${S}${EX}${TYPE_INT}/PostProcessing${STANDART_POSTFIX}" "${D}${DST}/PostProcessing"
